Page MenuHomePhabricator

lfs: take lock before writing requirements
ClosedPublic

Authored by marmoute on Jan 12 2022, 9:08 AM.

Details

Summary

With share-safe, we will also write file in the store, so we take the store
lock before writing requirements.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jan 12 2022, 9:08 AM
Alphare accepted this revision.Jan 17 2022, 8:39 AM
This revision is now accepted and ready to land.Jan 17 2022, 8:39 AM
baymax updated this revision to Diff 31800.Jan 24 2022, 10:01 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 31814.Jan 24 2022, 11:20 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 31859.Jan 24 2022, 1:13 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was automatically updated to reflect the committed changes.